'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var BaseEmbed = function (_React$Component) {
  _inherits(BaseEmbed, _React$Component);

  function BaseEmbed(props) {
    _classCallCheck(this, BaseEmbed);

    var _this = _possibleConstructorReturn(this, (BaseEmbed.__proto__ || Object.getPrototypeOf(BaseEmbed)).call(this, props));

    _this.state = {
      message: 'Wait',
      id: '',
      valid: false,
      preview: false
    };
    _this.validate = _this.validate.bind(_this);
    _this.extraHandler = _this.extraHandler.bind(_this);
    _this.showPreview = _this.showPreview.bind(_this);
    return _this;
  }

  _createClass(BaseEmbed, [{
    key: 'componentDidMount',
    value: function componentDidMount() {
      this.validate();
      this.extraHandler();
    }
  }, {
    key: 'extraHandler',
    value: function extraHandler() {}
  }, {
    key: 'showPreview',
    value: function showPreview() {
      this.setState({
        preview: !this.state.preview
      });
    }
  }, {
    key: 'validate',
    value: function validate() {
      var match;
      match = this.props.regex.exec(this.props.url);
      this.props.regex.lastIndex = 0;
      if (!match) {
        this.props.checkContent(false);
        this.setState({
          message: 'error.'
        });
        return;
      }
      this.setState({
        message: 'OK.',
        id: match[1],
        valid: true
      });
      this.props.checkContent(true);
    }
  }, {
    key: 'render',
    value: function render() {
      return _react2.default.createElement('div', { 'class': 'katap-embed' });
    }
  }]);

  return BaseEmbed;
}(_react2.default.Component);

BaseEmbed.defaultProps = {
  url: '',
  regex: /^$/
};

exports.default = BaseEmbed;