'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _base = require('./base');

var _base2 = _interopRequireDefault(_base);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Instagram = function (_BaseEmbed) {
  _inherits(Instagram, _BaseEmbed);

  function Instagram() {
    _classCallCheck(this, Instagram);

    return _possibleConstructorReturn(this, (Instagram.__proto__ || Object.getPrototypeOf(Instagram)).apply(this, arguments));
  }

  _createClass(Instagram, [{
    key: 'render',
    value: function render() {
      if (this.state.valid) {
        if (!this.state.preview) {
          return _react2.default.createElement(
            'div',
            { className: 'katap-embed katap-instagram' },
            _react2.default.createElement(
              'p',
              null,
              'Instagram - ',
              _react2.default.createElement(
                'a',
                { href: this.props.url, target: '_blank' },
                this.props.url
              )
            ),
            _react2.default.createElement(
              'button',
              { className: 'katap-show-preview-btn', onClick: this.showPreview },
              'Preview'
            )
          );
        }
        return _react2.default.createElement(
          'div',
          { className: 'katap-embed katap-instagram' },
          _react2.default.createElement('iframe', {
            src: '//instagram.com/p/' + this.state.id + '/embed',
            frameBorder: 0,
            allowFullScreen: true })
        );
      }
      return _react2.default.createElement(
        'div',
        { className: 'katap-embed' },
        'Invalid Instagram URL.'
      );
    }
  }]);

  return Instagram;
}(_base2.default);

Instagram.defaultProps = {
  url: '',
  regex: /https?:\/\/(?:www\.){0,1}instagram\.com\/p\/([^\/]+)\/?.*/gi
};

exports.default = Instagram;