'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _base = require('./base');

var _base2 = _interopRequireDefault(_base);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Youtube = function (_BaseEmbed) {
  _inherits(Youtube, _BaseEmbed);

  function Youtube(props) {
    _classCallCheck(this, Youtube);

    var _this = _possibleConstructorReturn(this, (Youtube.__proto__ || Object.getPrototypeOf(Youtube)).call(this, props));

    _this.onChange = _this.onChange.bind(_this);
    _this.renderInput = _this.renderInput.bind(_this);
    return _this;
  }

  _createClass(Youtube, [{
    key: 'onChange',
    value: function onChange(e) {
      if (e.preventDefault) {
        e.preventDefault();
      }
      var meta = {};
      meta.start = this.refs.start.value;
      meta.end = this.refs.end.value;

      this.props.updateMeta(meta);
    }
  }, {
    key: 'renderInput',
    value: function renderInput() {
      var meta = this.props.content.meta;
      return _react2.default.createElement(
        'div',
        { className: 'katap-embed-inp-container' },
        _react2.default.createElement(
          'form',
          { onSubmit: this.onChange },
          _react2.default.createElement(
            'label',
            null,
            'Start Time: ',
            _react2.default.createElement('input', { type: 'text', ref: 'start', defaultValue: meta.start || '' })
          ),
          _react2.default.createElement(
            'label',
            null,
            'End Time: ',
            _react2.default.createElement('input', { type: 'text', ref: 'end', defaultValue: meta.end || '' })
          ),
          _react2.default.createElement(
            'button',
            { className: 'katap-show-preview-btn', onClick: this.onChange },
            'Update'
          )
        )
      );
    }
  }, {
    key: 'render',
    value: function render() {
      if (this.state.valid) {
        if (!this.state.preview) {
          return _react2.default.createElement(
            'div',
            { className: 'katap-embed katap-youtube' },
            _react2.default.createElement(
              'p',
              null,
              'Youtube Video - ',
              _react2.default.createElement(
                'a',
                { href: this.props.url, target: '_blank' },
                this.props.url
              )
            ),
            _react2.default.createElement(
              'button',
              { className: 'katap-show-preview-btn', onClick: this.showPreview },
              'Preview'
            )
          );
        }
        var url = '//youtube.com/embed/' + this.state.id + '?';
        var meta = this.props.content.meta;
        if (meta.start && meta.start !== '') {
          url += 'start=' + meta.start + '&';
        }
        if (meta.end && meta.end !== '') {
          url += 'end=' + meta.end;
        }
        return _react2.default.createElement(
          'div',
          { className: 'katap-embed katap-youtube' },
          _react2.default.createElement('iframe', {
            src: url,
            frameBorder: 0,
            width: 580,
            height: 320,
            allowFullScreen: true })
        );
      }
      return _react2.default.createElement(
        'div',
        { className: 'katap-embed' },
        'Invalid Youtube URL.'
      );
    }
  }]);

  return Youtube;
}(_base2.default);

Youtube.defaultProps = {
  url: '',
  regex: /^.*(?:(?:youtu\.be\/)|(?:youtube\.com)\/|v\/|u\/\w\/|embed\/|watch\?v=|\&v=)([^#\&\?]*)/
};

exports.default = Youtube;