'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _scribe = require('../components/scribe');

var _scribe2 = _interopRequireDefault(_scribe);

var _scribeOptions = require('../components/scribe-options');

var _text = require('./text');

var _text2 = _interopRequireDefault(_text);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }
// import getConfig from '../utils/editoroptions';


var BlockH2 = function (_BlockText$React) {
  _inherits(BlockH2, _BlockText$React);

  function BlockH2() {
    _classCallCheck(this, BlockH2);

    return _possibleConstructorReturn(this, (BlockH2.__proto__ || Object.getPrototypeOf(BlockH2)).apply(this, arguments));
  }

  _createClass(BlockH2, [{
    key: 'captureReturn',
    value: function captureReturn() {
      this.props.addBlock("text", this.props.position);
    }
  }, {
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'h2',
        { className: 'katap-block katap-h2' },
        _react2.default.createElement(_scribe2.default
        //showToolbar={false}
        , { options: _scribeOptions.baseInlineOptions,
          content: this.props.content,
          captureReturn: this.captureReturn,
          onContentChanged: this.onContentChanged,
          placeholder: 'Heading',
          enterCapture: true })
      );
    }
  }]);

  return BlockH2;
}(_text2.default.React);

var H2 = {
  Name: 'h2',
  React: BlockH2,
  Icon: '',
  Empty: function Empty() {
    return '<p><br></p>';
  },
  maximumBlocks: 0,
  Description: 'Heading',
  isEmpty: function isEmpty(content) {
    return content.replace(/(<([^>]+)>)/ig, '') === '';
  }
};

exports.default = H2;