'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _ol = require('./ol');

var _ol2 = _interopRequireDefault(_ol);

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var BlockUL = function (_OL$React) {
  _inherits(BlockUL, _OL$React);

  function BlockUL() {
    _classCallCheck(this, BlockUL);

    return _possibleConstructorReturn(this, (BlockUL.__proto__ || Object.getPrototypeOf(BlockUL)).apply(this, arguments));
  }

  _createClass(BlockUL, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'ul',
        { className: 'katap-block katap-list' },
        this.renderListItem()
      );
    }
  }]);

  return BlockUL;
}(_ol2.default.React);

var UL = {
  Name: 'ul',
  React: BlockUL,
  Icon: '',
  Empty: function Empty() {
    return [{
      content: '<p><br></p>',
      key: (0, _utils.uuid)()
    }];
  },
  maximumBlocks: 0,
  Description: 'Unordered List',
  isEmpty: function isEmpty(content) {
    for (var i = 0; i < content.length; i++) {
      if (content[i].content.replace(/(<([^>]+)>)/ig, '') !== '') {
        return false;
      }
    }
    return true;
  }
};

BlockUL.defaultProps = {
  content: UL.Empty()
};

exports.default = UL;