'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _action = require('../utils/action');

var _action2 = _interopRequireDefault(_action);

var _blocks = require('../blocks/');

var _blocks2 = _interopRequireDefault(_blocks);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Toolbar = function (_React$Component) {
  _inherits(Toolbar, _React$Component);

  function Toolbar(props) {
    _classCallCheck(this, Toolbar);

    var _this = _possibleConstructorReturn(this, (Toolbar.__proto__ || Object.getPrototypeOf(Toolbar)).call(this, props));

    _this.state = {
      visible: false
    };
    _this.toggleState = _this.toggleState.bind(_this);
    _this.addBlock = _this.addBlock.bind(_this);
    return _this;
  }

  _createClass(Toolbar, [{
    key: 'toggleState',
    value: function toggleState(e) {
      var nodes = Array.prototype.slice.call(e.currentTarget.children);
      var index = nodes.indexOf(e.target);
      if (index < 0) {
        return;
      }
      this.setState({
        visible: !this.state.visible
      });
      if (!this.state.visible || index === 0) {} else {
        this.props.addBlock(nodes[index].getAttribute('title'), this.props.position);
      }
    }
  }, {
    key: 'addBlock',
    value: function addBlock(type, position) {
      this.props.addBlock();
    }
  }, {
    key: 'render',
    value: function render() {
      var self = this;
      var Blocks = this.props.availableBlocks;
      if (!this.state.visible) {
        return _react2.default.createElement(
          'div',
          {
            className: 'katap-toolbar',
            onClick: this.toggleState },
          _react2.default.createElement(
            'button',
            { title: 'Add block' },
            '+'
          )
        );
      }
      return _react2.default.createElement(
        'div',
        {
          className: 'katap-toolbar',
          onClick: this.toggleState },
        _react2.default.createElement(
          'button',
          { title: 'Close' },
          '\xD7'
        ),
        Object.keys(Blocks).map(function (typ, pos) {
          return _react2.default.createElement(
            'button',
            {
              title: typ,
              key: pos },
            Blocks[typ].Description
          );
        })
      );
    }
  }]);

  return Toolbar;
}(_react2.default.Component);

Toolbar.defaultProps = {
  availableBlocks: _blocks2.default
};

exports.default = Toolbar;